Package org.silverpeas.mobile.shared.dto.almanach

## Class CalendarEventDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.almanach.CalendarEventDTO

- All Implemented Interfaces:
    `Serializable`

      public class CalendarEventDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarEventDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<AttachmentParameterDTO>` | `getAttachmentParameters()` |
    `List<CalendarEventAttendeeDTO>` | `getAttendees()` |
    `List<CalendarEventAttributeDTO>` | `getAttributes()` |
    `String` | `getCalendarId()` |
    `String` | `getCalendarUri()` |
    `String` | `getCalendarZoneId()` |
    `String` | `getContent()` |
    `String` | `getCreateDate()` |
    `String` | `getCreatedById()` |
    `String` | `getDescription()` |
    `String` | `getEndDate()` |
    `String` | `getEventId()` |
    `String` | `getEventPermalinkUrl()` |
    `String` | `getEventUri()` |
    `String` | `getLastUpdateDate()` |
    `String` | `getLastUpdatedById()` |
    `String` | `getLocation()` |
    `String` | `getOccurrenceId()` |
    `String` | `getOwnerName()` |
    `PriorityDTO` | `getPriority()` |
    `CalendarEventRecurrenceDTO` | `getRecurrence()` |
    `ReminderDTO` | `getReminder()` |
    `String` | `getStartDate()` |
    `String` | `getTitle()` |
    `VisibilityLevelDTO` | `getVisibility()` |
    `boolean` | `isCanBeAccessed()` |
    `boolean` | `isCanBeDeleted()` |
    `boolean` | `isCanBeModified()` |
    `boolean` | `isOnAllDay()` |
    `void` | `setAttachmentParameters​(List<AttachmentParameterDTO> attachmentParameters)` |
    `void` | `setAttendees​(List<CalendarEventAttendeeDTO> attendees)` |
    `void` | `setAttributes​(List<CalendarEventAttributeDTO> attributes)` |
    `void` | `setCalendarId​(String calendarId)` |
    `void` | `setCalendarUri​(String calendarUri)` |
    `void` | `setCalendarZoneId​(String calendarZoneId)` |
    `void` | `setCanBeAccessed​(boolean canBeAccessed)` |
    `void` | `setCanBeDeleted​(boolean canBeDeleted)` |
    `void` | `setCanBeModified​(boolean canBeModified)` |
    `void` | `setContent​(String content)` |
    `void` | `setCreateDate​(String createDate)` |
    `void` | `setCreatedById​(String createdById)` |
    `void` | `setDescription​(String description)` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setEventId​(String eventId)` |
    `void` | `setEventPermalinkUrl​(String eventPermalinkUrl)` |
    `void` | `setEventUri​(String eventUri)` |
    `void` | `setLastUpdateDate​(String lastUpdateDate)` |
    `void` | `setLastUpdatedById​(String lastUpdatedById)` |
    `void` | `setLocation​(String location)` |
    `void` | `setOccurrenceId​(String occurrenceId)` |
    `void` | `setOnAllDay​(boolean onAllDay)` |
    `void` | `setOwnerName​(String ownerName)` |
    `void` | `setPriority​(PriorityDTO priority)` |
    `void` | `setRecurrence​(CalendarEventRecurrenceDTO recurrence)` |
    `void` | `setReminder​(ReminderDTO reminder)` |
    `void` | `setStartDate​(String startDate)` |
    `void` | `setTitle​(String title)` |
    `void` | `setVisibility​(VisibilityLevelDTO visibility)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEventDTO

          public CalendarEventDTO()

  - ### Method Detail

    - #### getEventId

          public String getEventId()

    - #### setEventId

          public void setEventId​(String eventId)

    - #### getCalendarId

          public String getCalendarId()

    - #### setCalendarId

          public void setCalendarId​(String calendarId)

    - #### getCalendarZoneId

          public String getCalendarZoneId()

    - #### setCalendarZoneId

          public void setCalendarZoneId​(String calendarZoneId)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getContent

          public String getContent()

    - #### setContent

          public void setContent​(String content)

    - #### getLocation

          public String getLocation()

    - #### setLocation

          public void setLocation​(String location)

    - #### isOnAllDay

          public boolean isOnAllDay()

    - #### setOnAllDay

          public void setOnAllDay​(boolean onAllDay)

    - #### getStartDate

          public String getStartDate()

    - #### setStartDate

          public void setStartDate​(String startDate)

    - #### getEndDate

          public String getEndDate()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getOwnerName

          public String getOwnerName()

    - #### setOwnerName

          public void setOwnerName​(String ownerName)

    - #### getCreatedById

          public String getCreatedById()

    - #### setCreatedById

          public void setCreatedById​(String createdById)

    - #### getLastUpdatedById

          public String getLastUpdatedById()

    - #### setLastUpdatedById

          public void setLastUpdatedById​(String lastUpdatedById)

    - #### isCanBeAccessed

          public boolean isCanBeAccessed()

    - #### setCanBeAccessed

          public void setCanBeAccessed​(boolean canBeAccessed)

    - #### isCanBeModified

          public boolean isCanBeModified()

    - #### setCanBeModified

          public void setCanBeModified​(boolean canBeModified)

    - #### isCanBeDeleted

          public boolean isCanBeDeleted()

    - #### setCanBeDeleted

          public void setCanBeDeleted​(boolean canBeDeleted)

    - #### getVisibility

          public VisibilityLevelDTO getVisibility()

    - #### setVisibility

          public void setVisibility​(VisibilityLevelDTO visibility)

    - #### getPriority

          public PriorityDTO getPriority()

    - #### setPriority

          public void setPriority​(PriorityDTO priority)

    - #### getRecurrence

          public CalendarEventRecurrenceDTO getRecurrence()

    - #### setRecurrence

          public void setRecurrence​(CalendarEventRecurrenceDTO recurrence)

    - #### getCreateDate

          public String getCreateDate()

    - #### setCreateDate

          public void setCreateDate​(String createDate)

    - #### getLastUpdateDate

          public String getLastUpdateDate()

    - #### setLastUpdateDate

          public void setLastUpdateDate​(String lastUpdateDate)

    - #### getAttendees

          public List<CalendarEventAttendeeDTO> getAttendees()

    - #### setAttendees

          public void setAttendees​(List<CalendarEventAttendeeDTO> attendees)

    - #### getReminder

          public ReminderDTO getReminder()

    - #### setReminder

          public void setReminder​(ReminderDTO reminder)

    - #### getAttachmentParameters

          public List<AttachmentParameterDTO> getAttachmentParameters()

    - #### setAttachmentParameters

          public void setAttachmentParameters​(List<AttachmentParameterDTO> attachmentParameters)

    - #### getEventUri

          public String getEventUri()

    - #### setEventUri

          public void setEventUri​(String eventUri)

    - #### getCalendarUri

          public String getCalendarUri()

    - #### setCalendarUri

          public void setCalendarUri​(String calendarUri)

    - #### getEventPermalinkUrl

          public String getEventPermalinkUrl()

    - #### setEventPermalinkUrl

          public void setEventPermalinkUrl​(String eventPermalinkUrl)

    - #### getAttributes

          public List<CalendarEventAttributeDTO> getAttributes()

    - #### setAttributes

          public void setAttributes​(List<CalendarEventAttributeDTO> attributes)

    - #### getOccurrenceId

          public String getOccurrenceId()

    - #### setOccurrenceId

          public void setOccurrenceId​(String occurrenceId)